import React from 'react';
import { LinkProps } from '@teambit/ui.routing.native-link';
export declare type NavLinkProps = LinkProps & {
    /** class name to apply when active */
    activeClassName?: string;
    /** styles to apply when active. Will be merged with the style prop */
    activeStyle?: React.CSSProperties;
    /** href should match url exactly in order to apply. */
    exact?: boolean;
    /** take in consideration trailing slash on the location pathname */
    strict?: boolean;
    /** explicit active state override */
    isActive?: (() => boolean) | undefined;
};
/**
 * A special version of the `<NativeLink/>` that will add styles to the rendered element when it matches the current URL.
 * Used to provide default fallbacks for react-router link
 */
export declare function NativeNavLink({ activeClassName, activeStyle, isActive, exact, strict, style, className, ...rest }: NavLinkProps): JSX.Element;
